# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "backup"
  s.version = "3.11.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Michael van Rooijen"]
  s.date = "2014-08-05"
  s.description = "Backup is a RubyGem, written for UNIX-like operating systems, that allows you to easily perform backup operations on both your remote and local environments. It provides you with an elegant DSL in Ruby for modeling your backups. Backup has built-in support for various databases, storage protocols/services, syncers, compressors, encryptors and notifiers which you can mix and match. It was built with modularity, extensibility and simplicity in mind."
  s.email = "meskyanichi@gmail.com"
  s.executables = ["backup"]
  s.files = ["bin/backup"]
  s.homepage = "https://github.com/meskyanichi/backup"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.29"
  s.summary = "Provides an elegant DSL in Ruby for performing backups on UNIX-like systems."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<builder>, ["= 3.2.2"])
      s.add_runtime_dependency(%q<dropbox-sdk>, ["= 1.5.1"])
      s.add_runtime_dependency(%q<excon>, ["= 0.25.3"])
      s.add_runtime_dependency(%q<faraday>, ["= 0.8.7"])
      s.add_runtime_dependency(%q<fog>, ["= 1.13.0"])
      s.add_runtime_dependency(%q<formatador>, ["= 0.2.4"])
      s.add_runtime_dependency(%q<hipchat>, ["= 0.11.0"])
      s.add_runtime_dependency(%q<httparty>, ["= 0.11.0"])
      s.add_runtime_dependency(%q<json>, ["= 1.8.0"])
      s.add_runtime_dependency(%q<mail>, ["= 2.5.4"])
      s.add_runtime_dependency(%q<mime-types>, ["= 1.23"])
      s.add_runtime_dependency(%q<multi_json>, ["= 1.7.7"])
      s.add_runtime_dependency(%q<multi_xml>, ["= 0.5.4"])
      s.add_runtime_dependency(%q<multipart-post>, ["= 1.2.0"])
      s.add_runtime_dependency(%q<net-scp>, ["= 1.1.2"])
      s.add_runtime_dependency(%q<net-sftp>, ["= 2.1.2"])
      s.add_runtime_dependency(%q<net-ssh>, ["= 2.6.8"])
      s.add_runtime_dependency(%q<nokogiri>, ["= 1.5.10"])
      s.add_runtime_dependency(%q<open4>, ["= 1.3.0"])
      s.add_runtime_dependency(%q<polyglot>, ["= 0.3.3"])
      s.add_runtime_dependency(%q<ruby-hmac>, ["= 0.4.0"])
      s.add_runtime_dependency(%q<simple_oauth>, ["= 0.2.0"])
      s.add_runtime_dependency(%q<thor>, ["= 0.18.1"])
      s.add_runtime_dependency(%q<treetop>, ["= 1.4.14"])
      s.add_runtime_dependency(%q<twitter>, ["= 4.8.1"])
    else
      s.add_dependency(%q<builder>, ["= 3.2.2"])
      s.add_dependency(%q<dropbox-sdk>, ["= 1.5.1"])
      s.add_dependency(%q<excon>, ["= 0.25.3"])
      s.add_dependency(%q<faraday>, ["= 0.8.7"])
      s.add_dependency(%q<fog>, ["= 1.13.0"])
      s.add_dependency(%q<formatador>, ["= 0.2.4"])
      s.add_dependency(%q<hipchat>, ["= 0.11.0"])
      s.add_dependency(%q<httparty>, ["= 0.11.0"])
      s.add_dependency(%q<json>, ["= 1.8.0"])
      s.add_dependency(%q<mail>, ["= 2.5.4"])
      s.add_dependency(%q<mime-types>, ["= 1.23"])
      s.add_dependency(%q<multi_json>, ["= 1.7.7"])
      s.add_dependency(%q<multi_xml>, ["= 0.5.4"])
      s.add_dependency(%q<multipart-post>, ["= 1.2.0"])
      s.add_dependency(%q<net-scp>, ["= 1.1.2"])
      s.add_dependency(%q<net-sftp>, ["= 2.1.2"])
      s.add_dependency(%q<net-ssh>, ["= 2.6.8"])
      s.add_dependency(%q<nokogiri>, ["= 1.5.10"])
      s.add_dependency(%q<open4>, ["= 1.3.0"])
      s.add_dependency(%q<polyglot>, ["= 0.3.3"])
      s.add_dependency(%q<ruby-hmac>, ["= 0.4.0"])
      s.add_dependency(%q<simple_oauth>, ["= 0.2.0"])
      s.add_dependency(%q<thor>, ["= 0.18.1"])
      s.add_dependency(%q<treetop>, ["= 1.4.14"])
      s.add_dependency(%q<twitter>, ["= 4.8.1"])
    end
  else
    s.add_dependency(%q<builder>, ["= 3.2.2"])
    s.add_dependency(%q<dropbox-sdk>, ["= 1.5.1"])
    s.add_dependency(%q<excon>, ["= 0.25.3"])
    s.add_dependency(%q<faraday>, ["= 0.8.7"])
    s.add_dependency(%q<fog>, ["= 1.13.0"])
    s.add_dependency(%q<formatador>, ["= 0.2.4"])
    s.add_dependency(%q<hipchat>, ["= 0.11.0"])
    s.add_dependency(%q<httparty>, ["= 0.11.0"])
    s.add_dependency(%q<json>, ["= 1.8.0"])
    s.add_dependency(%q<mail>, ["= 2.5.4"])
    s.add_dependency(%q<mime-types>, ["= 1.23"])
    s.add_dependency(%q<multi_json>, ["= 1.7.7"])
    s.add_dependency(%q<multi_xml>, ["= 0.5.4"])
    s.add_dependency(%q<multipart-post>, ["= 1.2.0"])
    s.add_dependency(%q<net-scp>, ["= 1.1.2"])
    s.add_dependency(%q<net-sftp>, ["= 2.1.2"])
    s.add_dependency(%q<net-ssh>, ["= 2.6.8"])
    s.add_dependency(%q<nokogiri>, ["= 1.5.10"])
    s.add_dependency(%q<open4>, ["= 1.3.0"])
    s.add_dependency(%q<polyglot>, ["= 0.3.3"])
    s.add_dependency(%q<ruby-hmac>, ["= 0.4.0"])
    s.add_dependency(%q<simple_oauth>, ["= 0.2.0"])
    s.add_dependency(%q<thor>, ["= 0.18.1"])
    s.add_dependency(%q<treetop>, ["= 1.4.14"])
    s.add_dependency(%q<twitter>, ["= 4.8.1"])
  end
end
